Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.rrnaclassifier
Class TrainingDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.msu.cme.rdp.classifier.rrnaclassifier.TrainingDataException

All Implemented Interfaces:
  java.io.Serializable

    public class TrainingDataException

extends java.lang.Exception

Handles the exception occurred when parsing training information.

See Also:
  Serialized Form

Constructor Summary
`TrainingDataException()` Creates a new instance of TrainingDataException without detail message.
`TrainingDataException(java.lang.String msg)` Constructs an instance of TrainingDataException with the specified detail message.
`TrainingDataException(java.lang.Throwable rootCause)` Constructs an instance of TrainingDataException with the specified root cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrainingDataException

    public TrainingDataException()

  Creates a new instance of TrainingDataException without detail message.

### TrainingDataException

    public TrainingDataException(java.lang.String msg)

  Constructs an instance of TrainingDataException with the specified detail message.

### TrainingDataException

    public TrainingDataException(java.lang.Throwable rootCause)

  Constructs an instance of TrainingDataException with the specified root cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD